Skip to main content
GET
/
api
/
lists
/
{id}
/
contacts
JavaScript
const apiKey = "your api key here" // update with your api_key
const listId = 0 // update with the id of the list that you would like returned

const myHeaders = new Headers();
myHeaders.append("Authorization", `Bearer ${apiKey}`);

const requestOptions = {
  method: "GET",
  headers: myHeaders,
  redirect: "follow"
};

fetch(`https://wiza.co/api/lists/${listId}/contacts?segment=people`, requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
import http.client

api_key = "your api key here" # update with your api_key
list_id = 0 # update with the id of the list that you would like returned

conn = http.client.HTTPSConnection("wiza.co")
authorization = ("Bearer {api_key}").format(api_key=api_key)
payload = ''
headers = { 'Authorization': authorization}
url = ("/api/lists/{list_id}/contacts?segment=people").format(list_id=list_id)
conn.request("GET", url, payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
require "uri"
require "net/http"

api_key = "your api key here" # update with your api_key
list_id = 0 # update with the id of the list that you would like returned

url = URI("https://wiza.co/api/lists/#{list_id}/contacts?segment=people")

https = Net::HTTP.new(url.host, url.port);
https.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer #{api_key}"

response = https.request(request)
puts response.read_body
api_key="your api key here" # update with your api_key
list_id=0 # update with the id of the list that you would like returned

curl --location "https://wiza.co/api/lists/${list_id}/contacts?segment=people" --header "Authorization: Bearer ${api_key}"
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://wiza.co/api/lists/{id}/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://wiza.co/api/lists/{id}/contacts"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://wiza.co/api/lists/{id}/contacts")
.header("Authorization", "Bearer <token>")
.asString();
{
  "status": {
    "code": 200,
    "message": ""
  },
  "data": [
    {
      "list_name": "from api1",
      "email_type": "work",
      "email_status": "risky",
      "email": "stephen@wiza.co",
      "full_name": "Stephen Hakami",
      "first_name": "Stephen",
      "last_name": "Hakami",
      "title": "Founder, Chief Executive Officer",
      "location": "New York / Toronto",
      "linkedin": "https://www.linkedin.com/in/stephen-hakami-5babb21b0/",
      "domain": "wiza.co",
      "company": "Wiza",
      "company_domain": "wiza.co",
      "company_industry": "<string>",
      "company_subindustry": "<string>",
      "company_size": "<string>",
      "company_size_range": "<string>",
      "company_founded": "<string>",
      "company_revenue": "<string>",
      "company_funding": "<string>",
      "company_type": "<string>",
      "company_linkedin": "https://www.linkedin.com/company/wizainc/",
      "company_twitter": "<string>",
      "company_facebook": "<string>",
      "company_description": "<string>",
      "company_last_funding_round": "<string>",
      "company_last_funding_amount": "<string>",
      "company_last_funding_at": "<string>",
      "company_location": "<string>",
      "company_street": "<string>",
      "company_locality": "<string>",
      "company_region": "<string>",
      "company_country": "<string>"
    }
  ]
}
{
"status": {
"code": 400,
"message": "Segment is not valid"
}
}

Authorizations

Authorization
string
header
required

Enter your bearer token (your API key) in the Authorization header in the format Bearer {token}

Path Parameters

id
string
required

id

Query Parameters

segment
enum<string>
required

Specify the segment of contacts to return.

SegmentDescription
peopleAll contacts
validOnly valid contacts
riskyOnly risky contacts
Available options:
people,
valid,
risky
Example:

"people"

Response

successful

status
object
data
object[]